#43 plugin crashes mozilla and galeon

closed-invalid
Plugin (92)
5
2004-06-10
2004-06-07
elerrina
No

system:

redhat 9
mplayerplug-in-2.60-rhl9mplayer-1.0pre4-3
mozilla-1.4.2-0.9.0.ximian.6.1
galeon-1.3.7-0.ximian.6.2.4

mplayer itself works fine from the command line, but
crashes the browsers when they load a page with videos.

what's going on?

Discussion

  • Nobody/Anonymous

    Logged In: NO

    (firefox-bin:27010): Gtk-CRITICAL **: file gtkwidget.c: line
    5659 (gtk_widget_set_events): assertion
    `!GTK_WIDGET_REALIZED (widget)' failed

    when attempting to view the Godzilla trailer on
    www.apple.com/trailers

     
  • Antonio Musumeci

    Logged In: YES
    user_id=226939

    (firefox-bin:27010): Gtk-CRITICAL **: file gtkwidget.c: line
    5659 (gtk_widget_set_events): assertion
    `!GTK_WIDGET_REALIZED (widget)' failed

    I have a similar problem with certain movies... Godzilla on
    the apple trailer site is where this came from.

     
  • Kevin DeKorte

    Kevin DeKorte - 2004-06-09

    Logged In: YES
    user_id=685413

    Since you are using RedHat 9 (original mozilla uses GTK1)
    and the mplayerplug-in for RedHat 9 (which is compiled to
    use GTK1 widget) and you are using mozilla from ximian
    (which is compiled to use GTK2 widgets) you need to either
    recompile mplayerplug-in (by default it uses GTK2) or
    install the FC1 rpm.

    Kevin

     
  • elerrina

    elerrina - 2004-06-09

    Logged In: YES
    user_id=1058856

    okay, thanks!

     
  • elerrina

    elerrina - 2004-06-09
    • status: open --> closed-accepted
     
  • Kevin DeKorte

    Kevin DeKorte - 2004-06-09

    Logged In: YES
    user_id=685413

    Since you are using RedHat 9 (original mozilla uses GTK1)
    and the mplayerplug-in for RedHat 9 (which is compiled to
    use GTK1 widget) and you are using mozilla from ximian
    (which is compiled to use GTK2 widgets) you need to either
    recompile mplayerplug-in (by default it uses GTK2) or
    install the FC1 rpm.

    Kevin

     
  • Kevin DeKorte

    Kevin DeKorte - 2004-06-09
    • status: closed-accepted --> open
     
  • Kevin DeKorte

    Kevin DeKorte - 2004-06-10
    • status: open --> open-invalid
     
  • Kevin DeKorte

    Kevin DeKorte - 2004-06-10
    • assigned_to: nobody --> kdekorte
    • labels: --> Plugin
    • status: open-invalid --> closed-invalid
     
  • Antonio Musumeci

    Logged In: YES
    user_id=226939

    I'm using firefox compiled for gtk2 and mplayerplug-in
    compiled for gtk2 and it's crashing.

    (firefox-bin:27010): Gtk-CRITICAL **: file gtkwidget.c: line
    5659 (gtk_widget_set_events): assertion
    `!GTK_WIDGET_REALIZED (widget)' failed

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks